.\"	$NetBSD: rtfps.4,v 1.8 2002/01/21 18:05:27 wiz Exp $
.\"
.\" Copyright (c) 1990, 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dca.4	5.2 (Berkeley) 3/27/91
.\"	from: Id: com.4,v 1.1 1993/08/06 11:19:07 cgd Exp
.\"
.Dd August 7, 1994
.Dt RTFPS 4
.Os
.Sh NAME
.Nm rtfps
.Nd multiplexing serial communications interface
.Sh SYNOPSIS
.Cd "rtfps0 at isa? port 0x1230 irq 10"
.Cd "com2 at rtfps0 slave 0"
.Cd "com3 at rtfps0 slave 1"
.Cd "com4 at rtfps0 slave 2"
.Cd "com5 at rtfps0 slave 3"
.Sh DESCRIPTION
The
.Nm rtfps
driver provides support for IBM RT PC boards that multiplex together up to four
.Tn EIA
.Tn RS-232C
.Pf ( Tn CCITT
.Tn V.28 )
or
.Tn RS-422A
communications interfaces.
.Pp
Each
.Nm
device is the master device for up to four
.Nm com
devices.  The kernel configuration specifies these
.Nm com
devices as slave devices of the
.Nm
device, as shown in the synopsis.
The
.Tn port
specification for the
.Nm
device is used to compute the base addresses for the
.Nm com
subdevices.
.Sh FILES
.Bl -tag -width Pa
.It Pa /dev/tty0?
.El
.Sh SEE ALSO
.Xr com 4
.Sh HISTORY
The
.Nm
driver was written by Charles Hannum, based on the
.Nm ast
driver.
.Sh BUGS
The
.Nm
driver is unlikely to work on non-EISA and non-PCI machines.  The ISA
bus only asserts 10 I/O address lines, and this is not enough.
.Pp
Even on EISA and PCI machines, some address conflicts have been observed.
On one machine, the second port always conflicted with something (though
it's not clear what) and caused strange results.  Disabling the second
port in the kernel config allowed the other three ports to function
correctly.
